<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">  

  <xsl:template match="/">
    <html>
      <head><link rel="stylesheet" type="text/css" href="row2html.css" />
      </head>
      <body class="page">
        <xsl:apply-templates select="ROWSET"/>      
      </body>
    </html>
  </xsl:template>

    <xsl:template match="/ROWSET">
      <center>
      <table border="1" cellpadding="4">
	<xsl:apply-templates select="SCHEMA"/>
	<xsl:apply-templates select="ROW"/>
      </table>
      </center>
    </xsl:template>

    <xsl:template match="/ROWSET/ROW">
        <tr class="row">
          <xsl:for-each select="./*">
            <td>
              <xsl:value-of select='.'/>
            </td>
          </xsl:for-each>
        </tr>
    </xsl:template>

    <xsl:template match="/ROWSET/SCHEMA">
        <tr class="head">
          <xsl:for-each select="./COLUMN">
            <th>
              <xsl:value-of select='./LABEL'/>
            </th>
          </xsl:for-each>
        </tr>
  </xsl:template>
<!--
<xsl:template match="/">
     <xsl:apply-templates/>
</xsl:template>

<xsl:template match="*">
     <xsl:value-of select="."/>
</xsl:template>
-->
</xsl:stylesheet>
